#include <iocslib.h>
#include "defines.h"

int putcg8(unchar c,unsint *moji,int *wwx)
/* 横８ドット（未満）表示 */
{
unchar b=BIT7;
int ed,xy;
	/* 横８ドット以下のための前準備 */
	if (*wwx>=8) {
		ed=8;
		(*wwx)-=8;
	} else ed=*wwx;
	/* 横８ドット（未満）表示 */
	/* ed>0 */
	do {
		xy=B_PUTC(moji[(c&b)!=0]);
		b>>=1;
	} while ((--ed)>0);
	return(xy); /* ８ドット最後の座標 */
}
